Bug 105286 - Ellipsis do not rotate in vertical layout.
Summary: Ellipsis do not rotate in vertical layout.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta1
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords:
Depends on:
Blocks: HarfBuzz-regressions Vertical-Text
  Show dependency treegraph
 
Reported: 2017-01-12 14:43 UTC by Mark Hung
Modified: 2017-02-27 03:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample test case (13.20 KB, application/vnd.oasis.opendocument.text)
2017-01-12 14:43 UTC, Mark Hung
Details
Screenshot from LO 5.3.1.1 (110.74 KB, image/png)
2017-02-25 18:26 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2017-01-12 14:43:14 UTC
Description:
Ellipsis ( unicode 0x2026 ) does not rotate in vertical layout.

Steps to Reproduce:
Open the attached file.

Actual Results:  
The ellipsis does not rotate.

Expected Results:
Based on http://www.unicode.org/Public/vertical/revision-17/, the vertical orientation property is R, which means it should have been rotated 90 degrees clockwise. 


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
Comment 1 Mark Hung 2017-01-12 14:43:55 UTC
Created attachment 130360 [details]
Sample test case
Comment 2 Mark Hung 2017-01-12 14:48:57 UTC
Create this new issue so that is doesn't hijack tdf#98879.
Comment 3 Buovjaga 2017-01-13 12:52:01 UTC
Confirmed.
Windows-only.

Version: 5.4.0.0.alpha0+
Build ID: 3afe82bd63fde41d2a88418fb64e4ff587b05436
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-04_23:42:57
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 2fd88ab1cbb4690a770ca2ca5d66157ec4906a2e
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 12th 2016
Comment 4 Volga 2017-01-24 04:50:48 UTC
Confirmed.

Version: 5.3.0.2 (x64)
Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 布局引擎:新; 
Locale: zh-CN (zh_CN); Calc: group

But what I have surprised is several fonts seems has vert feature for this character to make it presented rotate. Despite I input ellipsis into new document, type Microsoft JhengHei:vert=1, they works the same to me on horizontal layout.
Comment 5 Volga 2017-01-29 13:25:23 UTC
I think GDI engine may have own text orientations for specific language that could ignore text orientations specified by common SAL text layput engine, making ellipsis failed to rotate within vertical text, also leads to some fails as bug 103969, bug 105012 reported. Is there anyway to avoid that?
Comment 6 Commit Notification 2017-02-07 12:41:16 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa9251103a131880afa621501936603d8c75af9d

tdf#105286 use alternative font when glyph is not vertical.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-02-09 23:39:50 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ea0cb85173ce075a4bc7e2f7c6370628a8ba339&h=libreoffice-5-3

tdf#105286 use alternative font when glyph is not vertical.

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Volga 2017-02-25 18:26:32 UTC
Created attachment 131465 [details]
Screenshot from LO 5.3.1.1

OK, they works with me on 5.3.1.1.

Version: 5.3.1.1 (x64)
Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: zh-CN (zh_CN); Calc: group